<!DOCTYPE html>
<html lang="en">
<head>
  <!--<meta http-equiv="Content-Security-Policy" content="default-src *;">-->
  <meta charset="UTF-8">
  <title>Onsen UI Memo App 2.0</title>

  <script src="lib/onsen/js/onsenui.js"></script>

  <!-- <script src="js/app.js"></script>
  <script src="js/services.js"></script>
  <script src="js/controllers.js"></script> -->
  
  <link rel="stylesheet" href="lib/onsen/css/onsenui.css">
  <link rel="stylesheet" href="lib/onsen/css/onsen-css-components.css">
  <link rel="stylesheet" href="style.css">
  
  <script src="cordova.js"></script>
</head>

<body>

  <!-- First navigation component: Navigator. This will remain always on top of the app. -->
  <ons-navigator id="appNavigator" page="tabbar.html">
  </ons-navigator>

  <!-- Third navigation component: Tabbar. This will disappear if the first or second components change their content. -->
  <template id="tabbar.html">
    <ons-page id="tabbarPage" onclick="mostrarScanner();">
      <ons-toolbar>
        <div class="center">Vuelta Segura - Acceso</div>
      </ons-toolbar>

      <div class="content transparentar" style="text-align: center; vertical-align: middle; margin-top: 35%;">
          <ons-icon size="300px" icon="ion-qr-scanner" class="transparentar"></ons-icon>
          <br />
          <div class="content transparentar" id='textoExplicativo'>Tocar la pantalla para comenzar a escanear.</div>
      </div>
    </ons-page>
  </template>

  <template id="ddjj.html">
    <ons-page id="ddjj">
      <ons-toolbar>
        <div class="left"><ons-back-button onclick="ocultarDDJJ()">Page 1</ons-back-button></div>
        <div class="center">Declaracion Jurada</div>
      </ons-toolbar>

      <!-- Acá comienzan los campos de información del Estudiante  -->
      <section class="tituloDDJJ">  
        <p class="columna">
          Nombre:
        </p>
        <p id="" class="columna">
          <span id="nombre"></span>&nbsp;<span id="apellido"></span>
        </p>
      </section>

      <section class="tituloDDJJ">  
        <p class="columna">
          Curso:
        </p>
        <p id="curso" class="columna"></p>
      </section>

      <section class="tituloDDJJ">  
        <p class="columna">
          DNI:
        </p>
        <p id="dni" class="columna"></p>
      </section>
      
      <!-- Acá comienzan los campos de la DDJJ  -->
      <section class="tituloDDJJ">  
        <p class="columna">
          Fecha DDJJ:
        </p>
        <p id="fecha" class="columna"></p>
      </section>

      <section class="tituloDDJJ">  
        <p class="columna">
          Temperatura:
        </p>
        <p id="temperatura" class="columna"></p>
      </section>
      
      <section class="tituloDDJJ">  
        <p class="columna">
          ¿Percibiste una marcada pérdida del olfato de manera repentina?
        </p>
        <p id="perdida_olfato" class="columna"></p>
      </section>
      
      <section class="tituloDDJJ">  
        <p class="columna">
          ¿Percibiste una marcada pérdida del gusto (sabor de los alimentos) de manera repentina?
        </p>
        <p id="perdida_gusto" class="columna"></p>
      </section>
      
      <section class="tituloDDJJ">  
        <p class="columna">
          ¿tenés tos?
        </p>
        <p id="tos" class="columna"></p>
      </section>
      
      <section class="tituloDDJJ">  
        <p class="columna">
          ¿Tenés dolor de garganta?
        </p>
        <p id="dolor_garganta" class="columna"></p>
      </section>
      
      <section class="tituloDDJJ">  
        <p class="columna">
          ¿Tenés dificultad respiratoria o falta de aire?
        </p>
        <p id="dificultad_respiratoria" class="columna"></p>
      </section>
      
      <section class="tituloDDJJ">  
        <p class="columna">
          ¿Tenés dolor de cabeza?
        </p>
        <p id="cefalea" class="columna"></p>
      </section>
      
      <section class="tituloDDJJ">  
        <p class="columna">
          ¿tenés dplor muscular?
        </p>
        <p id="mialgias" class="columna"></p>
      </section>
      
      <section class="tituloDDJJ">  
        <p class="columna">
          ¿Tenés diarrea?
        </p>
        <p id="diarreas" class="columna"></p>
      </section>
      
      <section class="tituloDDJJ">  
        <p class="columna">
          ¿Tenés vomitos?
        </p>
        <p id="vómitos" class="columna"></p>
      </section>
      
      <section class="tituloDDJJ">  
        <p class="columna">
          Tengo diabetes
        </p>
        <p id="diabetes" class="columna"></p>
      </section>
      
      <section class="tituloDDJJ">  
        <p class="columna">
          Tengo alguna enfermedad hepática
        </p>
        <p id="enf_hepática" class="columna"></p>
      </section>
      
      <section class="tituloDDJJ">  
        <p class="columna">
          Tengo alguna enfermedad renal crónica
        </p>
        <p id="enf_renal_crónica" class="columna"></p>
      </section>
      
      <section class="tituloDDJJ">  
        <p class="columna">
          Tengo alguna enfermedad cardiológica
        </p>
        <p id="enf_cardiologica" class="columna"></p>
      </section>
      
      <section class="tituloDDJJ">  
        <p class="columna">
          Tengo alguna condición que baja las defensas
        </p>
        <p id="condición_defensas_bajas" class="columna"></p>
      </section>

      <section class="tituloDDJJ">  
        <p class="columna">
          Tiene o tuvo cancer ?
        </p>
        <p id="cáncer" class="columna"></p>
      </section>

      <section class="tituloDDJJ">  
        <p class="columna">
          Tiene alguna enfermedad respiratoria ?
        </p>
        <p id="enf_respiratoria" class="columna"></p>
      </section>
      
      <section class="tituloDDJJ">  
        <p class="columna">
          Tube contacto con alguna persona sospechosa o confirmada de Covid_19
        </p>
        <p id="persona_sospechosa_covid_19" class="columna"></p>
      </section>
      
      <section class="tituloDDJJ">  
        <p class="columna">
          Tuve contacto con alguna persona que viajó a zona aspo en los últimos 14 dias
        </p>
        <p id="viaje_zona_aspo_últimos_14_dias" class="columna"></p>
      </section>
      
      <section class="tituloDDJJ">  
        <p class="columna">
          Nombre del responsable parental:
        </p>
        <p id="nombre_rp" class="columna"></p>
      </section>
      
      <section class="tituloDDJJ">  
        <p class="columna">
          DNI del responsable parental:
        </p>
        <p id="dni_rp" class="columna"></p>
      </section>
      <section id=denegarAceptar style="display: flex;" >
      <ons-button onclick="denegarAcceso()" modifier="cta" class="button-margin, denegarAcceso">DENEGAR ACCESO</ons-button>
      <ons-button onclick="aceptarAcceso()" modifier="cta" class="button-margin, aceptarAcceso">ACEPTAR ACCESO</ons-button>
      </section>
    </ons-page>
  </template>

  <script src="js/index.js"></script>
</body>

</html>
